gnutls_dh_params_import_dsa(3)

NAME
gnutls_dh_params_import_dsa - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_dh_params_import_dsa(gnutls_dh_params_t dh_params, gnutls_x509_privkey_t key);

ARGUMENTS

gnutls_dh_params_t dh_params
    The parameters

gnutls_x509_privkey_t key
    holds a DSA private key

DESCRIPTION
This function will import the prime and generator of the DSA key for use in the Diffie-Hellman key exchange.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error code is returned.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2023 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/